{% extends 'base.html' %}

{% block title %}Update User Profile{% endblock%}

{% block content %}
    {% if user.is_anonymous == False%}
        <div class="container">
            <div class="row">
                <div class="col-6 offset-3">
                   
                    <h1 class="text-center my-3">Update {{  user.first_name }} {{  user.last_name }}'s Profile</h1>
                    <form action="{% url 'todolist:update_profile' %}" method="post">
                        <!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
                        <!-- CSRF occurs when a malicious website contains a link, a form button or some JavaScript that is intended to perform some action our website, using the credentials of a logged-in user -->
                        {% csrf_token %}

                        {% if is_user_authenticated == False %}
                        <h5 class="text-danger">Invalid old password</h5>
                        {% endif %}
                        <div class="mb-3">
                            <label for="first_name">First Name: </label>
                            <input class="form-control" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="20" required>
                        </div>

                        <div class="mb-3">
                            <label for="last_name">Last Name: </label>
                            <input class="form-control" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="20" required>
                        </div>
                        
                        <div class="mb-3">
                            <label for="old_password">Old Password: </label>
                            <input class="form-control" id="old_password" type="password" name="old_password" value="{{ old_password }}" maxlength="20" required>
                        </div>

                        <div class="mb-3">
                            <label for="new_password">New Password: </label>
                            <input class="form-control" id="new_password" type="password" name="new_password" value="{{ new_password }}" maxlength="20" required>
                        </div>

                        <div class="text-center">
                            <input class="btn btn-success" type="submit" value="Update Profile">
                        </div>

                    </form>
                </div>
            </div>
        </div>
    {% else %}
        <h1 class="text-center my-3">You are not authorized to access this page.</h1>
        <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
	{% endif %}
{% endblock %}